> For the complete documentation index, see [llms.txt](https://docs.uibakery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uibakery.io/on-premise/git-source-control/automate-github-releases.md).

# Automate GitHub releases

## Step 1. Enable the Instance API

To enable the UI Bakery Instance API please follow this [guide](/on-premise/on-premise-features/instance-api.md#enabling-the-instance-api)

## Step 2. Create GitHub action

To create a release workflow follow this steps:

* Go to repository **Actions** tab
* Click **New workflow**
* Choose **set up a workflow yourself** and paste the following content

```yaml
name: Release Instance

on:
  push:
    branches: [ "main" ]
  pull_request:
    branches: [ "main" ]
  workflow_dispatch:

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Pull main branch
        run: |
          curl https://UI_BAKERY_INSTANCE/api/instance/app/APP_ID/pull?uib_branch=main \
            -X POST \
            -H "Content-Type: application/json" \
            -H "Authorization: Bearer TOKEN"
      - name: Create release from main branch
        run: |
          curl https://UI_BAKERY_INSTANCE/api/instance/app/APP_ID/release \
            -X POST \
            -d '{"version":"1.0.1", "prod": true, "staging": true, "description": "Automated release"}' \
            -H "Content-Type: application/json" \
            -H "Authorization: Bearer TOKEN"
```

* Replace the `UI_BAKERY_INSTANCE` placeholder with your domain name.
* Replace `APP_ID` with your app ID (can be found in URL).
* Replace `TOKEN` with the value of your `UI_BAKERY_INSTANCE_API_TOKEN` variable

The workflow will be executed on every push/merge into the "main" branch


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uibakery.io/on-premise/git-source-control/automate-github-releases.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
